Bug 1911213 - Wrong and misleading warning for VMs that were created manually (not from template)
Summary: Wrong and misleading warning for VMs that were created manually (not from tem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-28 07:43 UTC by Chen Yosef
Modified: 2021-02-24 15:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:49:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
screen shot of the warning (198.91 KB, image/png)
2020-12-28 07:43 UTC, Chen Yosef
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7661 0 None closed Bug 1911213: VM with default flavor should not show a pending changes warning 2021-01-08 09:46:08 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:49:26 UTC

Description Chen Yosef 2020-12-28 07:43:15 UTC
Created attachment 1742519 [details]
screen shot of the warning

Description of problem:
When creating a VM (using Kubevirt API or just with a simple yaml file), I see a "pending change" warning in the UI:
I am running an OCP 4.7 nightly build from last week, with CNV 2.5.2 installed. Is this a known issue ?


Version-Release number of selected component (if applicable):
OCP 4.7 nightly build
CNV 2.5.2


How reproducible:
100%

Steps to Reproduce:
1. Create a VM using a simple yaml file
2.
3.

Actual results:
A misleading warning is shown in the VM details screen, saying that there are pending changes and that will be applied after restarting the VM. Restarting the VM doesn't help and the warning still displayed.
 

Expected results:
1. No warning at all is shown.
2. If the decision is to display warning for VMs that were not created using template, than the warning message should reflect it and not call for action. 


Additional info:

Comment 1 Yaacov Zamir 2020-12-28 08:14:40 UTC
VM YAML used to reproduce:

```
apiVersion: kubevirt.io/v1alpha3
kind: VirtualMachineInstance
metadata:
  labels:
    special: vmi-fedora
  name: vmi-fedora
spec:
  domain:
    devices:
      disks:
      - disk:
          bus: virtio
        name: containerdisk
      - disk:
          bus: virtio
        name: cloudinitdisk
      rng: {}
    machine:
      type: ""
    resources:
      requests:
        memory: 1024M
  terminationGracePeriodSeconds: 0
  volumes:
  - containerDisk:
      image: registry:5000/kubevirt/fedora-cloud-container-disk-demo:devel
    name: containerdisk
  - cloudInitNoCloud:
      userData: |-
        #cloud-config
        password: fedora
        chpasswd: { expire: False }
    name: cloudinitdisk
```

The difference found was CPU:
in VM cpu was {}
in VMI cpu was {cores: 1 sockets: 1 threads: 1}

Comment 5 errata-xmlrpc 2021-02-24 15:49:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.